OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXCAFSchema
PXCAFDoc

# PXCAFDoc_Centroid Class Reference

`#include <PXCAFDoc_Centroid.hxx>`

## Public Member Functions
Standard_EXPORT | PXCAFDoc_Centroid ()
Standard_EXPORT | PXCAFDoc_Centroid (const gp_Pnt &pnt)
Standard_EXPORT void | Set (const gp_Pnt &pnt)
Standard_EXPORT gp_Pnt | Get () const
| PXCAFDoc_Centroid (const Storage_stCONSTclCOM &a)
const gp_Pnt & | _CSFDB_GetPXCAFDoc_CentroidmyPCentroid () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
gp_Pnt | myPCentroid

## Constructor & Destructor Documentation

Standard_EXPORT PXCAFDoc_Centroid::PXCAFDoc_Centroid | ( |  | ) |

Standard_EXPORT PXCAFDoc_Centroid::PXCAFDoc_Centroid | ( | const gp_Pnt & | pnt | ) |

PXCAFDoc_Centroid::PXCAFDoc_Centroid | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

const gp_Pnt& PXCAFDoc_Centroid::_CSFDB_GetPXCAFDoc_CentroidmyPCentroid | ( |  | ) | const`[inline]`

Standard_EXPORT gp_Pnt PXCAFDoc_Centroid::Get | ( |  | ) | const

Standard_EXPORT const PXCAFDoc_Centroid::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void PXCAFDoc_Centroid::Set | ( | const gp_Pnt & | pnt | ) |

## Field Documentation

gp_Pnt PXCAFDoc_Centroid::myPCentroid`[private]`

The documentation for this class was generated from the following file:

- PXCAFDoc_Centroid.hxx